com.rscja.team.qcom.deviceapi

## Class RFIDBase_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.Device_qcom
  - - com.rscja.team.qcom.deviceapi.RFIDBase_qcom

- All Implemented Interfaces:
    IRFIDBase
  Direct Known Subclasses:
    RFIDWithISO14443A_qcom, RFIDWithISO14443A4CPU_qcom, RFIDWithISO14443B_qcom, RFIDWithISO15693_qcom

      public abstract class RFIDBase_qcom
      extends Device_qcom
      implements IRFIDBase

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 释放rfid模块 Release RFID module
    `java.lang.String` | `getVersion()` 获取rfid 版本信息 Acquire RFID version infor
    `boolean` | `init()` 初始化rfid模块 initialize RFID module
    `boolean` | `init(boolean isRfOff)`
    `boolean` | `rfidUpgrade(int packageCount, int index, int currSize, byte[] data)` 固件升级 firmware upgrade

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.Device_qcom

      `isPowerOn`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDBase

      `isPowerOn`

- - ### Method Detail

    - #### init

          public boolean init()

      初始化rfid模块
      initialize RFID module
      Specified by:
        `init` in interface `IRFIDBase`
      Returns:
        true成功，false失败

    - #### init

          public boolean init(boolean isRfOff)

      Specified by:
        `init` in interface `IRFIDBase`

    - #### free

          public boolean free()

      释放rfid模块
      Release RFID module
      Specified by:
        `free` in interface `IRFIDBase`
      Returns:
        true成功，false失败
        true success, false failure

    - #### getVersion

          public java.lang.String getVersion()

      获取rfid 版本信息
      Acquire RFID version infor
      Specified by:
        `getVersion` in interface `IRFIDBase`
      Returns:
        返回版本信息，null为失败
        return version infor, null is failure

    - #### rfidUpgrade

          public boolean rfidUpgrade(int packageCount,
                                     int index,
                                     int currSize,
                                     byte[] data)

      固件升级
      firmware upgrade
      Specified by:
        `rfidUpgrade` in interface `IRFIDBase`
      Parameters:
        `packageCount` - 包的数量
        package amount
        `index` - 当前为第几个包
        current package
        `currSize` - 当前包大小
        current package size
        `data` - 包数据
        package data
      Returns:
        true成功，false失败
        true success, false failure